Bug 43993 - mime mapping for WS-Policy
mime mapping for WS-Policy
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
unspecified
Other other
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-11-29 04:28 UTC by Fabian Ritzmann
Modified: 2007-12-06 17:07 UTC (History)
0 users



Attachments
Patch for conf/web.xml that adds application/wspolicy+xml mime type mapping (551 bytes, patch)
2007-11-29 04:32 UTC, Fabian Ritzmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Ritzmann 2007-11-29 04:28:05 UTC
The web.xml ought to have a default MIME mapping as described in <http://www.w3.org/TR/ws-
policy/#media-type>:

MIME media type name:
application

MIME subtype name:
wspolicy+xml

Required parameters:
none

Optional parameters:
charset

...

Additional information:

File extension:
wspolicy
Comment 1 Fabian Ritzmann 2007-11-29 04:32:16 UTC
Created attachment 21204 [details]
Patch for conf/web.xml that adds application/wspolicy+xml mime type mapping

Patch for conf/web.xml that adds application/wspolicy+xml mime type mapping
Comment 2 Tim Funk 2007-12-04 18:17:10 UTC
patch applied to trunk

proposed for 6.0
Comment 3 Tim Funk 2007-12-06 17:07:00 UTC
patch applied to tomcat 6.0 too

thanks